# Class SnpSiftCmdSplit

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdSplit

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdSplit extends SnpSift
Split a large VCF file by chromosome or bby number of lines

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static String[]`
`exts`
`static final int`
`SHOW`
`static final int`
`SHOW_LINES`

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdSplit()`
`SnpSiftCmdSplit(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<String>`
`getFileNames()`
Names of files created when splitting
`String`
`join(boolean createString)`
Join files
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, init, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW

public static final int SHOW

See Also:
  - Constant Field Values

### SHOW_LINES

public static final int SHOW_LINES

See Also:
  - Constant Field Values

### exts

public static String[] exts

## Constructor Details

### SnpSiftCmdSplit

public SnpSiftCmdSplit()

### SnpSiftCmdSplit

public SnpSiftCmdSplit(String[] args)

## Method Details

### getFileNames

public ArrayList<String> getFileNames()
Names of files created when splitting

Returns:

### join

public String join(boolean createString)
Join files

Parameters:
  `createString` - : Create a string used for test cases)
Returns:
  A string with the resulting file if createString is true. An empty string otherwise.

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Run

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`
Parameters:
  `msg` -